Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 990137 - Portal navigation does not work with right to left language on Android 4.1.2
Summary: Portal navigation does not work with right to left language on Android 4.1.2
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER05
: 6.1.0
Assignee: Matt Wringe
QA Contact: Tomas Kyjovsky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-30 13:07 UTC by Filip Kiss
Modified: 2019-01-01 03:39 UTC (History)
4 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
submenu is displayed off the screen (deleted)
2013-09-04 11:40 UTC, Filip Kiss
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat One Jira Issue Tracker GTNPORTAL-3230 None None None 2014-08-28 14:19:52 UTC

Description Filip Kiss 2013-07-30 13:07:57 UTC
Description of problem:
Once you set language to e.g. Arabic, it is not possible to change the language back or browse through navigation panel. 

Actual results:
When you are tapping on navigation icons, nothing happens.

Additional info:
Android 4.1.2 is not working, other versions work fine.

Comment 2 JBoss JIRA Server 2013-08-08 21:17:44 UTC
Matt Wringe <mwringe@redhat.com> made a comment on jira GTNPORTAL-3230

Branch with fix available at https://github.com/mwringe/gatein-portal/tree/GTNPORTAL-3230 also include similar issues with other mobile components.

It would be good if Lucas can look this over and confirm it wont mess up any 508 compliance issues.

Comment 3 JBoss JIRA Server 2013-08-12 19:29:01 UTC
Matt Wringe <mwringe@redhat.com> made a comment on jira GTNPORTAL-3230

It may be best to move away from the FIR replacement method (http://en.wikipedia.org/wiki/Fahrner_Image_Replacement) with phark method (eg the large indent values) and use something more sane (text-indent: 105%; overflow:hidden; white-space: nowrap). This should improve performance and let me remove a nasty hack I had to add for android 2.3 support (which needs to be updated anyways since it currently specifies the android version and not the browser version or type).

Will need Lucas feedback to see how screen readers could potentially be affect.

Comment 4 Filip Kiss 2013-09-04 11:39:15 UTC
Submenu in portal navigation right to left mode is now displayed off the screen on smaller displays. (Nexus S with 4" screen, iPhone 4 and 5) See attached screenshot.

Comment 5 Filip Kiss 2013-09-04 11:40:45 UTC
Created attachment 793630 [details]
submenu is displayed off the screen

Comment 7 Filip Kiss 2013-09-05 07:49:18 UTC
Closing as VERIFIED, I've created new BZ: 

https://bugzilla.redhat.com/show_bug.cgi?id=1004669.

This issue couldn't be tested on mentioned devices because of this issue (990137) on Android and Bug 990161 on iOS (other devices worked properly).


Note You need to log in before you can comment on or make changes to this bug.